h59658
s 00000/00000/00042
d D 1.3 82/09/13 13:52:45 ross 3 2
c 
e
s 00000/00000/00042
d D 1.2 82/09/13 12:09:37 ross 2 1
c 
e
s 00042/00000/00000
d D 1.1 82/09/13 10:31:42 ross 1 0
e
u
U
t
T
I 1
/*
 *	indirect driver for controlling tty.
 */
#include "../h/param.h"
#include "../h/conf.h"
#include "../h/dir.h"
#include "../h/user.h"
#include "../h/tty.h"
#include "../h/proc.h"

syopen(dev, flag)
dev_t dev;
{

	if(u.u_ttyp == NULL) {
		u.u_error = ENXIO;
		return;
	}
	(*cdevsw[major(u.u_ttyd)].d_open)(u.u_ttyd, flag);
}

syread(dev)
dev_t dev;
{

	(*cdevsw[major(u.u_ttyd)].d_read)(u.u_ttyd);
}

sywrite(dev)
dev_t dev;
{

	(*cdevsw[major(u.u_ttyd)].d_write)(u.u_ttyd);
}

sysioctl(dev, cmd, addr, flag)
dev_t dev;
caddr_t addr;
{

	(*cdevsw[major(u.u_ttyd)].d_ioctl)(u.u_ttyd, cmd, addr, flag);
}
E 1
